<template>
  <main>
    <mt-page-title :link-to="{ name: 'profil-dashboard-postesro', params: { profil: 'admin' } }" link-text="retour">
      <h1 class="has-text-weight-bold is-size-3">Creer un poste au RO</h1>
    </mt-page-title>
    <form @submit.prevent="submit">
      <mt-champs-form-poste-ro :poste-ro="posteRo" />
      <div class="columns is-centered">
        <b-button type="is-primary has-text-weight-semibold" native-type="submit" class="is-size-8 mt-button">
          Créer le Poste au RO
        </b-button>
      </div>
    </form>
  </main>
</template>

<script>
import MtPageTitle from '~/components/base/page-title/index';
import MtChampsFormPosteRo from '~/components/dashboard/postero/champs-form-poste-ro';
import newPosteRo from '~/components/mixins/posteRoMixin';

export default {
  layout: 'container-small',
  components: {
    MtPageTitle,
    MtChampsFormPosteRo,
  },
  asyncData() {
    const posteRo = newPosteRo();
    return {
      posteRo,
    };
  },
  methods: {
    async submit() {
      try {
        await this.$api.postesRo.post(this.posteRo);
        this.$router.push({ name: 'profil-dashboard-postesro', params: { profil: 'admin' } });
      } catch ({
        response: {
          status,
          data: { message },
        },
      }) {
        this.$buefy.notification.open({
          message,
          type: 'is-danger',
          duration: 5000,
        });
      }
    },
  },
};
</script>

<style scoped lang="scss"></style>
